Re: [isar-cip-core] [PATCH] scripts/start-efishell.sh: Add -nographic option


Kanagarajan, Vijaikumar
 

-----Original Message-----
From: cip-dev@... <cip-dev@...> On
Behalf Of Jan Kiszka
Sent: 27 June 2022 18:22
To: Gylstorff Quirin <quirin.gylstorff@...>; cip-dev@...
project.org; P T, Sarath <Sarath_PT@...>
Subject: Re: [cip-dev] [isar-cip-core] [PATCH] scripts/start-efishell.sh: Add -
nographic option

On 27.06.22 10:23, Gylstorff Quirin wrote:


On 6/27/22 10:14, Jan Kiszka via lists.cip-project.org wrote:
On 27.06.22 09:12, Sarath P T wrote:
From: sarath P T <Sarath_PT@...>

When we launch the start-efishell.sh script for adding the keys into
OVMF firmware we faced gtk initialization failed error. So it seems
we need to open the OVMF in nographic mode, hence we added the
required option to the script.
Which QEMU-Version? Which OVMF version (buster/bullseye/something
else)?
I'm not seeing this, but I'm facing other issues with that firmware
provided by bullseye (a crash).
 >> Signed-off-by: sarath P T <Sarath_PT@...>
---
  scripts/start-efishell.sh | 2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/scripts/start-efishell.sh b/scripts/start-efishell.sh
index d451f43..0831f83 100755
--- a/scripts/start-efishell.sh
+++ b/scripts/start-efishell.sh
@@ -2,7 +2,7 @@
  ovmf_code=${OVMF_CODE:-
/usr/share/OVMF/OVMF_CODE.secboot.fd}

This should be changed to the 4M version.

@jan
The 4M version does also trigger a crash?
Yes, it does.
We have not seen such errors. If you share the setup details (Qemu version/host distro/OVMF version) we can give it a try.

Thanks,
Vijai Kumar K


Jan

--
Siemens AG, Technology
Competence Center Embedded Linux

Join cip-dev@lists.cip-project.org to automatically receive all group messages.